Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc
Class SVNPropertyData

    java.lang.Object
      org.tmatesoft.svn.core.wc.SVNPropertyData

public class SVNPropertyData
extends Object

SVNPropertyData is a wrapper for both versioned and unversioned properties. This class represents the pair: property name - property value. Property managing methods of the SVNWCClient class use SVNPropertyData to wrap properties and dispatch them to handleProperty() methods of ISVNPropertyHandler for processing or simply return that 'properties object' as a target.

Version:
  1.1.1
Author:
  TMate Software Ltd.
See Also:
  `ISVNPropertyHandler`, `SVNWCClient`

Constructor Summary
`SVNPropertyData(String name, String data)` Constructs an SVNPropertyData given a property name and its value.

Method Summary
`String` | `getName()` Gets the name of the property represented by this SVNPropertyData object.
`String` | `getValue()` Gets the value of the property represented by this SVNPropertyData object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNPropertyData

    public SVNPropertyData(String name,
                           String data)

  Constructs an SVNPropertyData given a property name and its value.

Parameters:
  `name` - a property name
  `data` - a property value

Method Detail

### getName

    public String getName()

  Gets the name of the property represented by this SVNPropertyData object.

  Returns:
    a property name

### getValue

    public String getValue()

  Gets the value of the property represented by this SVNPropertyData object.

  Returns:
    a property value

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.